PETSc version 3.17.4
Fix/Edit manual page

# DMMoabVecGetArray

Returns the writable direct access array to the local representation of MOAB tag data for the underlying vector using locally owned+ghosted range of entities

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode  DMMoabVecGetArray(DM dm, Vec vec, void* array)

Collective

### Input Parameters

| dm | - The DMMoab object being set
| vec | - The Vector whose underlying data is requested

### Output Parameter

| array | - The local data array

### See Also

DMMoabVecRestoreArray(), DMMoabVecGetArrayRead(), DMMoabVecRestoreArrayRead()

### Level

intermediate

### Location

src/dm/impls/moab/dmmbvec.cxx

### Examples

src/ts/tutorials/ex35.cxx.html
Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages